curl --request POST \ --url https://api.opus.pro/api/social-copy-jobs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "projectId": "P0000000demo", "clipId": "CUexample1", "postAccountId": "postAccountId_xxx1", "subAccountId": "subAccountId_xxx1", "prompt": "Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.", "forceRegenerate": false}'
import requests
url = "https://api.opus.pro/api/social-copy-jobs"
payload = {
"projectId": "P0000000demo",
"clipId": "CUexample1",
"postAccountId": "postAccountId_xxx1",
"subAccountId": "subAccountId_xxx1",
"prompt": "Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.",
"forceRegenerate": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'P0000000demo',
clipId: 'CUexample1',
postAccountId: 'postAccountId_xxx1',
subAccountId: 'subAccountId_xxx1',
prompt: 'Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.',
forceRegenerate: false
})
};
fetch('https://api.opus.pro/api/social-copy-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opus.pro/api/social-copy-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'P0000000demo',
'clipId' => 'CUexample1',
'postAccountId' => 'postAccountId_xxx1',
'subAccountId' => 'subAccountId_xxx1',
'prompt' => 'Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.',
'forceRegenerate' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opus.pro/api/social-copy-jobs"
payload := strings.NewReader("{\n \"projectId\": \"P0000000demo\",\n \"clipId\": \"CUexample1\",\n \"postAccountId\": \"postAccountId_xxx1\",\n \"subAccountId\": \"subAccountId_xxx1\",\n \"prompt\": \"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.\",\n \"forceRegenerate\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.opus.pro/api/social-copy-jobs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"P0000000demo\",\n \"clipId\": \"CUexample1\",\n \"postAccountId\": \"postAccountId_xxx1\",\n \"subAccountId\": \"subAccountId_xxx1\",\n \"prompt\": \"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.\",\n \"forceRegenerate\": false\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.opus.pro/api/social-copy-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"P0000000demo\",\n \"clipId\": \"CUexample1\",\n \"postAccountId\": \"postAccountId_xxx1\",\n \"subAccountId\": \"subAccountId_xxx1\",\n \"prompt\": \"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.\",\n \"forceRegenerate\": false\n}"
response = http.request(request)
puts response.read_body
You can start a social copy generation job by making a POST request to https://api.opus.pro/api/social-copy-jobs.
POST
/
api
/
social-copy-jobs
cURL
curl --request POST \ --url https://api.opus.pro/api/social-copy-jobs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "projectId": "P0000000demo", "clipId": "CUexample1", "postAccountId": "postAccountId_xxx1", "subAccountId": "subAccountId_xxx1", "prompt": "Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.", "forceRegenerate": false}'
import requests
url = "https://api.opus.pro/api/social-copy-jobs"
payload = {
"projectId": "P0000000demo",
"clipId": "CUexample1",
"postAccountId": "postAccountId_xxx1",
"subAccountId": "subAccountId_xxx1",
"prompt": "Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.",
"forceRegenerate": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'P0000000demo',
clipId: 'CUexample1',
postAccountId: 'postAccountId_xxx1',
subAccountId: 'subAccountId_xxx1',
prompt: 'Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.',
forceRegenerate: false
})
};
fetch('https://api.opus.pro/api/social-copy-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opus.pro/api/social-copy-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'P0000000demo',
'clipId' => 'CUexample1',
'postAccountId' => 'postAccountId_xxx1',
'subAccountId' => 'subAccountId_xxx1',
'prompt' => 'Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.',
'forceRegenerate' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.opus.pro/api/social-copy-jobs"
payload := strings.NewReader("{\n \"projectId\": \"P0000000demo\",\n \"clipId\": \"CUexample1\",\n \"postAccountId\": \"postAccountId_xxx1\",\n \"subAccountId\": \"subAccountId_xxx1\",\n \"prompt\": \"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.\",\n \"forceRegenerate\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.opus.pro/api/social-copy-jobs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"P0000000demo\",\n \"clipId\": \"CUexample1\",\n \"postAccountId\": \"postAccountId_xxx1\",\n \"subAccountId\": \"subAccountId_xxx1\",\n \"prompt\": \"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.\",\n \"forceRegenerate\": false\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.opus.pro/api/social-copy-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"P0000000demo\",\n \"clipId\": \"CUexample1\",\n \"postAccountId\": \"postAccountId_xxx1\",\n \"subAccountId\": \"subAccountId_xxx1\",\n \"prompt\": \"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.\",\n \"forceRegenerate\": false\n}"
response = http.request(request)
puts response.read_body
Bare clip ID (e.g. CUexample1). Not the composite {projectId}.{clipId} form returned as id by GET /api/exportable-clips — pass only the part after the dot.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Opus Clip","colors":{"primary":"#000000","light":"#ffffff","dark":"#000000"},"logo":{"light":"https://mintcdn.com/opusclip-c3e48c12/H3hvh_QZTOfvCejz/logo/opus_logo.svg?fit=max\u0026auto=format\u0026n=H3hvh_QZTOfvCejz\u0026q=85\u0026s=d92c6d9e8913d19810d8cc3432d7f373","dark":"https://mintcdn.com/opusclip-c3e48c12/H3hvh_QZTOfvCejz/logo/opus_logo.svg?fit=max\u0026auto=format\u0026n=H3hvh_QZTOfvCejz\u0026q=85\u0026s=d92c6d9e8913d19810d8cc3432d7f373"},"favicon":"https://mintcdn.com/opusclip-c3e48c12/CsfV__T0-LAmxfr6/favicon.png?fit=max\u0026auto=format\u0026n=CsfV__T0-LAmxfr6\u0026q=85\u0026s=a0e2b015f6febe3a86f55c9cafcd069c","appearance":{"default":"light","strict":false},"navbar":{"links":[],"primary":{"type":"button","label":"Dashboard","href":"https://clip.opus.pro/dashboard"}},"seo":{"indexing":"all"},"styling":{"codeblocks":"dark","latex":false},"integrations":{"ga4":{"measurementId":"G-CSQE2J78YW"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"opusclip-c3e48c12","hasAudioNarration":false,"actualSubdomain":"opusclip-c3e48c12","customDomains":["help.opus.pro"],"gitSource":{"type":"github","owner":"opus-pro","repo":"help-center","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae122982dbcce22362c28c8","collectionId":"878bdf0f-b2b4-42d9-8314-355250880222","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae122982dbcce22362c28c8"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae122982dbcce22362c28c8","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"Help Center","count":83},{"language":"default","tag":"API Reference","count":37},{"language":"default","tag":"Edit Your Clips","count":23},{"language":"default","tag":"Endpoints","count":22},{"language":"default","tag":"Opus Labs","count":14},{"language":"default","tag":"Publish Your Projects","count":12},{"language":"default","tag":"Getting started","count":9},{"language":"default","tag":"Customize Your Clips","count":8},{"language":"default","tag":"Manage Your Clips","count":7},{"language":"default","tag":"Collections","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".img-frame{background-image:url(https://public.cdn.opus.pro/help-center/help-center-img-bg.png);background-size:cover;aspect-ratio:498/280;border-radius:8px;padding:24px 20px;display:flex;align-items:center;justify-content:center;margin-top:1em;margin-bottom:1em}img{border-radius:6px;margin-top:0!important;margin-bottom:0!important;max-width:100%;max-height:100%;object-fit:contain;object-position:center center}.card:hover{border-color:#000}"}],"page":{"pagePath":"api-reference/endpoints/social-posting/create-social-copy-job","slug":"/api-reference/endpoints/social-posting/create-social-copy-job","pageMetadata":{"title":"Create a Social Copy Generation Job","description":"You can start a social copy generation job by making a `POST` request to `https://api.opus.pro/api/social-copy-jobs`.","openapi":"POST /api/social-copy-jobs","href":"/api-reference/endpoints/social-posting/create-social-copy-job"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"You can start a social copy generation job by making a \", _jsx(_components.code, {\n children: \"POST\"\n }), \" request to \", _jsx(_components.code, {\n children: \"https://api.opus.pro/api/social-copy-jobs\"\n }), \".\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"title":"Create a Social Copy Generation Job","description":"You can start a social copy generation job by making a `POST` request to `https://api.opus.pro/api/social-copy-jobs`.","openapi":"POST /api/social-copy-jobs","href":"/api-reference/endpoints/social-posting/create-social-copy-job"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/opusclip-c3e48c12/9583f4173dca5195/scripts/mix-panel.js"],"openApiReferenceData":{"operation":{"operationId":"SocialCopyJobController_createSocialCopyJob","description":"You can start a social copy generation job by making a `POST` request to `https://api.opus.pro/api/social-copy-jobs`.","parameters":[],"requestBody":"a15d9447-1f5e-4b25-ba2a-f2ea9bb979c2","responses":{"201":"6ea48670-d738-45e3-97cc-4800b88b9b2a"},"security":["dd592714-a3d2-4645-97a5-ec496b04403a"],"tags":["social-posting","enterprise"],"method":"post","type":"path","servers":["562202fe-fda8-4ee4-ad05-9b9ee69b020e"],"path":"/api/social-copy-jobs","baseUrlOptions":["https://api.opus.pro"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"example":{"projectId":"P0000000demo","clipId":"CUexample1","postAccountId":"postAccountId_xxx1","subAccountId":"subAccountId_xxx1","prompt":"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.","forceRegenerate":false},"schema":{"type":"object","required":["projectId","clipId","postAccountId","subAccountId"],"properties":{"projectId":{"type":"string","description":"Project ID","isRequired":true,"uniqueKey":"projectId","typeLabel":"string"},"clipId":{"type":"string","description":"Bare clip ID (e.g. `CUexample1`). **Not** the composite `{projectId}.{clipId}` form returned as `id` by `GET /api/exportable-clips` — pass only the part after the dot.","isRequired":true,"uniqueKey":"clipId","typeLabel":"string"},"postAccountId":{"type":"string","description":"Unique ID of the connected social account record","isRequired":true,"uniqueKey":"postAccountId","typeLabel":"string"},"subAccountId":{"type":"string","description":"Sub-account ID used by Facebook pages, Instagram business accounts, or LinkedIn","isRequired":true,"uniqueKey":"subAccountId","typeLabel":"string"},"prompt":{"type":"string","description":"Custom style or tone instruction for generation","uniqueKey":"prompt","typeLabel":"string"},"forceRegenerate":{"type":"boolean","description":"Whether to bypass the cached result and regenerate","uniqueKey":"forceRegenerate","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"projectId":"P0000000demo","clipId":"CUexample1","postAccountId":"postAccountId_xxx1","subAccountId":"subAccountId_xxx1","prompt":"Write the caption in a playful, witty tone that uses humor to keep the audience engaged, while ending with a clear call to action.","forceRegenerate":false}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"6ea48670-d738-45e3-97cc-4800b88b9b2a":{"description":"Successfully created a social copy generation job","content":{"application/json":{"example":{"data":{"jobId":"96e3d68c-49ef-4c19-b3b6-595f9564537c"}},"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"object","required":["jobId"],"properties":{"jobId":{"type":"string","description":"Unique ID of the social copy generation job","isRequired":true,"uniqueKey":"data.jobId","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"jobId":"96e3d68c-49ef-4c19-b3b6-595f9564537c"}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"dd592714-a3d2-4645-97a5-ec496b04403a":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[]}}},"servers":{"562202fe-fda8-4ee4-ad05-9b9ee69b020e":{"url":"https://api.opus.pro","description":"OpusClip Open API Production Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"scheme":"bearer","bearerFormat":"JWT","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"opusclip-c3e48c12","siteName":"Opus Clip","title":"Create a Social Copy Generation Job - Opus Clip","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-03-19T08:26:57.423Z","originalFileLocation":"api-reference/endpoints/social-posting/create-social-copy-job.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"You can start a social copy generation job by making a POST request to https://api.opus.pro/api/social-copy-jobs.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Opus Clip\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a Social Copy Generation Job - Opus Clip\">\u003cmeta data-mint-head property=\"og:description\" content=\"You can start a social copy generation job by making a POST request to https://api.opus.pro/api/social-copy-jobs.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Opus Clip\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://opusclip-c3e48c12.mintlify.app/_mintlify/api/og/v2?division=Social+Posting\u0026amp;title=Create+a+Social+Copy+Generation+Job\u0026amp;description=You+can+start+a+social+copy+generation+job+by+making+a+%60POST%60+request+to+%60https%3A%2F%2Fapi.opus.pro%2Fapi%2Fsocial-copy-jobs%60.\u0026amp;theme=c96f4f889348479cb34b476b\u0026amp;signature=c169d26c40e28dfb5c99eb5a51adcb7b01563ab2d237292cc9b531c8c30ae6fc\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a Social Copy Generation Job - Opus Clip\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"You can start a social copy generation job by making a POST request to https://api.opus.pro/api/social-copy-jobs.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://opusclip-c3e48c12.mintlify.app/_mintlify/api/og/v2?division=Social+Posting\u0026amp;title=Create+a+Social+Copy+Generation+Job\u0026amp;description=You+can+start+a+social+copy+generation+job+by+making+a+%60POST%60+request+to+%60https%3A%2F%2Fapi.opus.pro%2Fapi%2Fsocial-copy-jobs%60.\u0026amp;theme=c96f4f889348479cb34b476b\u0026amp;signature=c169d26c40e28dfb5c99eb5a51adcb7b01563ab2d237292cc9b531c8c30ae6fc\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/opusclip-c3e48c12/T37nr_pnMgJqW1YU/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Opus Clip\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoints/social-posting/create-social-copy-job.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://help.opus.pro/#organization\",\"name\":\"Opus Clip\",\"url\":\"https://help.opus.pro\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/opusclip-c3e48c12/H3hvh_QZTOfvCejz/logo/opus_logo.svg?fit=max\u0026auto=format\u0026n=H3hvh_QZTOfvCejz\u0026q=85\u0026s=d92c6d9e8913d19810d8cc3432d7f373\"}},{\"@type\":\"WebSite\",\"@id\":\"https://help.opus.pro#website\",\"name\":\"Opus Clip\",\"url\":\"https://help.opus.pro\",\"publisher\":{\"@id\":\"https://help.opus.pro/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job#webpage\",\"url\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job\",\"name\":\"Create a Social Copy Generation Job\",\"description\":\"You can start a social copy generation job by making a POST request to https://api.opus.pro/api/social-copy-jobs.\",\"dateModified\":\"2026-03-19T08:26:57.423Z\",\"isPartOf\":{\"@id\":\"https://help.opus.pro#website\"},\"breadcrumb\":{\"@id\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://help.opus.pro/api-reference/endpoints/create-project\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Social Posting\",\"item\":\"https://help.opus.pro/api-reference/endpoints/social-posting/get-social-accounts\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create a Social Copy Generation Job\",\"item\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job#apireference\",\"headline\":\"Create a Social Copy Generation Job\",\"name\":\"Create a Social Copy Generation Job\",\"description\":\"You can start a social copy generation job by making a POST request to https://api.opus.pro/api/social-copy-jobs.\",\"url\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job\",\"mainEntityOfPage\":{\"@id\":\"https://help.opus.pro/api-reference/endpoints/social-posting/create-social-copy-job#webpage\"},\"dateModified\":\"2026-03-19T08:26:57.423Z\",\"publisher\":{\"@id\":\"https://help.opus.pro/#organization\"},\"isPartOf\":{\"@id\":\"https://help.opus.pro#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Opus Clip\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Opus Clip","nav":{"global":null,"tabs":[{"tab":"Help Center","hidden":false,"pages":[{"title":"Help Center","href":"/docs/article/introduction-to-opusclip"}]},{"tab":"Learning Center","href":"https://www.opus.pro/learning-center?utm_campaign=help-center"},{"tab":"API Reference","groups":[{"group":"Getting started","pages":[{"title":"Overview","href":"/api-reference/overview"},{"title":"Quickstart","href":"/api-reference/quickstart"},{"title":"OpusClip MCP Server","sidebarTitle":"MCP Server","href":"/api-reference/agent-setup"},{"title":"OpusClip Claude Connector","sidebarTitle":"Claude Connector","href":"/api-reference/claude-connector"},{"title":"OpusClip Skill","sidebarTitle":"Skill","href":"/api-reference/skill"},{"title":"Limitations","href":"/api-reference/limitation"},{"title":"Brand Template","href":"/api-reference/brand-template"},{"title":"Social Posting","href":"/api-reference/endpoints/social-posting/overview"},{"title":"Webhook","href":"/api-reference/webhook"}]},{"group":"Endpoints","pages":[{"group":"Projects","pages":[{"title":"Create a New Project","href":"/api-reference/endpoints/create-project"},{"title":"Upload Video and Create Clip Project","href":"/api-reference/endpoints/upload-video-create-project"},{"title":"Share a Project","href":"/api-reference/endpoints/share-project"}]},{"group":"BrandTemplates","pages":[{"title":"Get Brand Templates","href":"/api-reference/endpoints/get-brand-templates"}]},{"group":"Clips","pages":[{"title":"Get Clips","openapi":"GET /api/exportable-clips","href":"/api-reference/endpoints/get-clips"},{"title":"Create a Censor Job","openapi":"POST /api/censor-jobs","href":"/api-reference/endpoints/censor-job/censor-job"},{"title":"Get Censor Job Status","openapi":"GET /api/censor-jobs/{jobId}","href":"/api-reference/endpoints/censor-job/censor-job-status"}]},{"group":"Transcripts","pages":[{"title":"Get a Source-Video Transcript","openapi":"GET /api/transcripts","href":"/api-reference/endpoints/transcripts/get-transcript"}]},{"group":"Generation (experimental)","pages":[{"title":"Create a Thumbnail Job","openapi":"POST /api/generative-jobs","href":"/api-reference/endpoints/generative-jobs/create-thumbnail-job"},{"title":"Get a Generative Job","openapi":"GET /api/generative-jobs/{jobId}","href":"/api-reference/endpoints/generative-jobs/get-generative-job"}]},{"group":"Collections","pages":[{"title":"Create a Collection","openapi":"POST /api/collections","href":"/api-reference/endpoints/collections/create-collection"},{"title":"Delete a Collection","openapi":"DELETE /api/collections/{collectionId}","href":"/api-reference/endpoints/collections/delete-collection"},{"title":"Get Collections","openapi":"GET /api/collections","href":"/api-reference/endpoints/collections/get-collections"},{"title":"Add a Clip to a Collection","openapi":"POST /api/collection-contents","href":"/api-reference/endpoints/collection-contents/create-collection-content"},{"title":"Remove a Clip from a Collection","openapi":"POST /api/collection-contents/delete-collection-contents","href":"/api-reference/endpoints/collection-contents/delete-collection-content-by-condition"},{"title":"Export Clips from a Collection","openapi":"POST /api/collections/{collectionId}/export","href":"/api-reference/endpoints/collections/export-collection"}]},{"group":"Social Posting","pages":[{"title":"Get Social Accounts","description":"You can retrieve the social accounts connected to your Opus organization by making a `GET` request to `https://api.opus.pro/api/social-accounts`.","openapi":"GET /api/social-accounts","href":"/api-reference/endpoints/social-posting/get-social-accounts"},{"title":"Create a Social Copy Generation Job","openapi":"POST /api/social-copy-jobs","href":"/api-reference/endpoints/social-posting/create-social-copy-job"},{"title":"Get Social Copy Generation Result","description":"You can retrieve the result of a social copy generation job by making a `GET` request to `https://api.opus.pro/api/social-copy-jobs/{jobId}`.","openapi":"GET /api/social-copy-jobs/{jobId}","href":"/api-reference/endpoints/social-posting/get-social-copy-job"},{"title":"Publish a Post","openapi":"POST /api/post-tasks","href":"/api-reference/endpoints/social-posting/publish-post"},{"title":"Schedule a Post","openapi":"POST /api/publish-schedules","href":"/api-reference/endpoints/social-posting/schedule-post"},{"title":"Cancel a Scheduled Post","openapi":"DELETE /api/publish-schedules/{scheduleId}","href":"/api-reference/endpoints/social-posting/cancel-scheduled-post"}]}]},{"group":"Playground","pages":[{"title":"Create a New Project","openapi":"POST /api/clip-projects","href":"/api-reference/playground/create-project"},{"title":"Get Clips","openapi":"GET /api/exportable-clips","href":"/api-reference/playground/get-clips"},{"title":"Get Brand Templates","openapi":"GET /api/brand-templates","href":"/api-reference/playground/get-brand-templates"},{"title":"Share a Project","openapi":"POST /api/clip-projects/{projectId}/update-visibility","href":"/api-reference/playground/share-project"},{"title":"Create a Censor Job","openapi":"POST /api/censor-jobs","href":"/api-reference/playground/censor-job"},{"title":"Get Censor Job Status","openapi":"GET /api/censor-jobs/{jobId}","href":"/api-reference/playground/censor-job-status"}]}]},{"tab":"Agent Opus FAQ","pages":[{"title":"Agent Opus FAQ","href":"/agent-opus/article/ao-faq"}]},{"tab":"Opus Labs","pages":[{"title":"Opus Labs","href":"/opus-labs/overview"}]}]},"title":"Create a Social Copy Generation Job - Opus Clip","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}